Czwartek, 12 listopada, 2009 | Autor:

Jeśli kiedykolwiek znajdziesz się aktualizację pojedynczego wniosku w Arch Linux (bardzo zły pomysł, btw) i uaktualnia readline może skończyć się widząc błąd wzdłuż linii:
/bin/bash: error while loading shared libraries: libreadline.so.5: cannot open shared object file: No such file or directory
Mam nadzieję, że nadal masz bash skłonić otwarty i nie zamknął ich wszystkich. Jeśli jeszcze możesz, natychmiast uruchom następujące:
pacman -S bash
inny nie będzie w stanie uruchomić więcej, ponieważ bash bash nadal będzie link do starej wersji readline.

Również, w przyszłości, nie działają
pacman -Sy application
(Python w moim przypadku)
zamiast, uruchomić:
pacman -Syu
który zapewnia, że ​​wszystkie aplikacje są uaktualniane.

Osobiście, Myślę, że bash powinien mieć zestaw zależności, mówiąc, że to wymaga starego określoną wersję readline i sama dla nowego bash, wymaga nowej wersji readline. Bez względu na, raczej grać bezpiecznie. 😉

Dzielić
Kategoria: linux, shit happens
Możesz śledzić odpowiedzi do tego wpisu poprzez RSS 2.0 karmić. Można zostawić odpowiedź, lub trackback ze swojej strony.
Dodaj komentarz » Zaloguj się